using UnityEngine;
using System.Collections;

public class EndController : MonoBehaviour {
	float NextTimeAction;
	float NextTimeRestart;

	public GUIStyle CustomGUIStyle;
	public GUIStyle BigCustomGUIStyle;
    Rect GuiRect;

	bool HasEnded;
	bool HasReset;
	
	int Ticker;
	int TickerMax;
	float TimeNextTick;
	
	// Use this for initialization
	void Awake () {
		NextTimeAction = Time.time + 3f;
		HasEnded = false;
		
		NextTimeRestart = Time.time + 10f;
		HasReset = false;
		
		Screen.lockCursor = true;
		
		Ticker = 0;
		TickerMax = 5;
		TimeNextTick = Time.time + 10f;
	}
	
	// Update is called once per frame
	void Update () {
		
		if (Time.time >= TimeNextTick && Ticker < TickerMax)
		{
			Ticker++;
			TimeNextTick = Time.time + 10f;
		}
		
	}
	
	// --- GUI-Stuff 	
	void OnGUI () {

		string Text;
		string Text02;
		string Text03;
		
		GuiRect.width = 100;			
		GuiRect.height = 30;
		

		Text = "";
		Text02 = "";
		Text03 = "";
		
		if (Ticker == 0)
		{
			Text = "You win the game!!!";
			Text02 = "Congratulations.";	
			Text03 = "That was great!";
		}

		if (Ticker == 2)
		{
			Text = "But wait!";
			Text02 = "Are you sure you saw it all???";	
			Text03 = "You WERE being watched!";
		}

		if (Ticker == 4)
		{
			Text = "";
			Text02 = "Good night, sweet dreams...";	
			Text03 = "";
		}
		
			GuiRect.x = 20;
			GuiRect.y = (Screen.height/2) - 100;
		
			GUI.Label (GuiRect, Text, CustomGUIStyle);		
			
			GuiRect.x = 20;
			GuiRect.y = (Screen.height/2);
			GUI.Label (GuiRect, Text02, CustomGUIStyle);		
	
			GuiRect.x = 20;
			GuiRect.y = (Screen.height/2) + 100;
			GUI.Label (GuiRect, Text03, CustomGUIStyle);		


	}

}
