using UnityEngine;
using System.Collections;

public class GameConstants : MonoBehaviour {
	public bool DoingLevelUp;
	public bool DoingReset;
	
	public bool ExternalReset;
	
	public float PlayerX;
	public float PlayerY;
	public float PlayerZ;
	
	public int GuiFontSize;
	
	public int ActScene;
	public int MaxScene;
	public int LevelCap;
	
	public string PlayerName;
	
	public int LevelUpAmount;
	
	float NextTimeAction;

	// Use this for initialization
	void Awake () {
	 	DontDestroyOnLoad(transform.gameObject);
		
		DoingLevelUp = false;
		DoingReset = false;
		
		Screen.showCursor = false;	
		
		NextTimeAction = Time.time;
		
		
		// ints
		GuiFontSize = 20;
		
		LevelUpAmount = 0;
		
		// names
		PlayerName = "MyFPController";
		
		ActScene = 1;
		MaxScene = 2;
		// number of levels plus 1 (scene 0 = Boot, scene 1 = title, scene 2 = level 1 etc...)
		LevelCap = 6 + 1;
		
		ExternalReset = false;
		
		Application.LoadLevel(ActScene);
		
	}
	
	// Update is called once per frame
	void Update () {
		if (DoingLevelUp)
		{
			if (Time.time >= NextTimeAction)
			{
				DoLevelUp();
			}
			
		}
		
		if (Input.GetKeyDown(KeyCode.Escape ) ){
			if (ActScene == 1)
			{
				 Application.Quit();
			}
			else
			{
				ActScene =1;	
				LevelUpAmount = 1;
				DoingLevelUp = false;
				Application.LoadLevel(ActScene);
			}
		}
		
		if ( (Input.GetKeyDown(KeyCode.R) || ExternalReset)  && Time.time >= NextTimeAction && !DoingLevelUp && !DoingReset)
		{
			DoingReset = true;
			LevelUpAmount = 0;
			Application.LoadLevel(ActScene);
			//Application.LoadLevel(2);
			NextTimeAction = Time.time + 1f;
			ExternalReset = false;
		}
	}
		
	public void LevelUp()
	{
		if (!DoingLevelUp && !DoingReset){
			DoingLevelUp = true;
			NextTimeAction = Time.time;
		}
	}

	public void DoLevelUp()
	{
		if ( ActScene < LevelCap )
		{
			ActScene++;
		}
		MaxScene = ActScene;
		LevelUpAmount = 0;
		Application.LoadLevel(ActScene);
		//Application.LoadLevel(2);
		DoingLevelUp = false;
	}
	
	public void StartMaxLevel()
	{
		ActScene = MaxScene;
		LevelUpAmount = 0;
		Application.LoadLevel(ActScene);
		//Application.LoadLevel(2);
		DoingLevelUp = false;
	}
}
