using UnityEngine;
using System.Collections;

public class GameRules : MonoBehaviour {
	GameConstants MyGameConstants;
	float NextTimeAction;
	float NextTimeRestart;

	public GUIStyle CustomGUIStyle;
	public GUIStyle BigCustomGUIStyle;
    Rect GuiRect;

	bool HasEnded;
	bool HasReset;
	
	public int Clicks;

	// Use this for initialization
	void Awake () {
		MyGameConstants = FindObjectOfType(typeof(GameConstants)) as GameConstants;
		NextTimeAction = Time.time + 3f;
		MyGameConstants.LevelUpAmount = 1;
		MyGameConstants.DoingReset = false;
		HasEnded = false;
		Clicks = 0;
		
		NextTimeRestart = Time.time + 10f;
		HasReset = false;
		MyGameConstants.ExternalReset = false;
		
		Screen.lockCursor = true;
	}
	
	// Update is called once per frame
	void Update () {
		
		if (MyGameConstants.LevelUpAmount <= 0 && Time.time >= NextTimeAction && !HasEnded)
		{
			HasEnded = true;
			MyGameConstants.LevelUp();
		}
		
		if (Time.time >= NextTimeRestart && !HasReset && MyGameConstants.ActScene != 7)
		{
			MyGameConstants.ExternalReset = true;
			HasReset = true;
		}
		
	}
	
	// --- GUI-Stuff 	
	void OnGUI () {

		string Text;
		string Text02;
		string Text03;
		
		GuiRect.width = 100;			
		GuiRect.height = 30;
		
		GuiRect.x = 20;
		GuiRect.y = 20;

		Text = "First night";
		Text02 = "I keep getting strange, endlessly repeating nightmares.";
		Text03 = "Structures seem to glitch, lights flicker...";
		
		if (MyGameConstants.ActScene == 3)
		{
			Text = "Second night";
			Text02 = "I wander the streets of my dreams for hours.";	
			Text03 = "Sometimes, I don't know where to turn.";
		}

		if (MyGameConstants.ActScene == 4)
		{
			Text = "Third night";
			Text02 = "Then again, I am lost in complete darkness.";	
			Text03 = "I have a feeling I am not alone here.";
		}

		if (MyGameConstants.ActScene == 5)
		{
			Text = "Fourth night";
			Text02 = "They are watching me.";	
			Text03 = "From the shadows...";
		}
	
		if (MyGameConstants.ActScene == 6)
		{
			Text = "Fifth night";
			Text02 = "They are watching...";	
			Text03 = "They are watching...";
		}
	
		if (MyGameConstants.ActScene >= 2 && MyGameConstants.ActScene < 7)
		{
			GUI.Label (GuiRect, Text, CustomGUIStyle);		
			
			GuiRect.x = 40;	
			GuiRect.y = 70;
		
			Text = "Press 'R' to restart !";
		
			//GUI.Label (GuiRect, Text, CustomGUIStyle);		
	
			GuiRect.x = 20;
			GuiRect.y = Screen.height - 100;
			GUI.Label (GuiRect, Text02, CustomGUIStyle);		
	
			GuiRect.x = 20;
			GuiRect.y = Screen.height - 60;
			GUI.Label (GuiRect, Text03, CustomGUIStyle);		

		}
		
	}

}
